@echo off

rem check for the image directory ...
if NOT EXIST image (
  echo ERROR: directory [ image ] NOT FOUND!
  echo ABORT.
  exit /b
) else (
  cd image
)

echo ===================================
echo START of MAIN image preparation ... 
echo ===================================
echo.

rem start scripts
for %%S in (

  export-image.cmd
  mount-image.cmd

) do (

  echo ########## calling [ %%S ] ##########
  call %%S
  echo.

)

echo checking for NTLite ...
if NOT EXIST %NTLITE% (
  echo.
  echo ERROR: program [ NTLite ] NOT FOUND!
) else (
  echo calling NTLite ...
  rem stupid windows: the "" are needed or NTlite will not be started - sigh -
  start /B "" %NTLITE%
)

rem go back ...
cd ..

echo.
echo ======
echo READY.
echo ======

